TAAS - Feature #143

Passport Expiry Report
02/02/2023 03:12 PM - Anil KV

Status: Testing Done Start date: 02/18/2023
Priority: Normal Due date:

Assignee: Baseem Shan % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Passport Expiry Report

Description

Coding Passport Expiry Report

History

#1 - 02/17/2023 11:49 AM - Junaid M
- File SQL-PASSPORT-EXPIRY.sql added
- Status changed from New to Open

- % Done changed from 0 to 10

#2 - 02/17/2023 11:50 AM - Junaid M

Controller: AuditReportController
Cs: PassportExpiryReport.cs

#3 - 02/17/2023 12:09 PM - Junaid M
- Assignee changed from Junaid M to Anand V Gopal

#4 - 02/18/2023 02:11 PM - Anand V Gopal

- Status changed from Open to Coding Started

- Start date changed from 02/02/2023 to 02/18/2023
- % Done changed from 10 to 40

#5 - 02/22/2023 06:10 PM - Anand V Gopal
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#6 - 02/24/2023 04:54 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.Set validation on date pickers

(Could not convert string to DateTime: 0000-02-23T18:06:32.000Z. Path 'mdIPassportExpiryReportinput.datPeriodFrom’, line 1, position 96.)
2.Resize columns on grid

#7 - 02/28/2023 06:13 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#8 - 03/01/2023 06:05 PM - Amal Cyriac

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Add precision on grid (Credit Limit)

#9 - 03/21/2023 06:12 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#10 - 03/22/2023 05:05 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Remove empty icon from date picker
2.Fix bugs on date picker while Expand/Collapse Menu

#11 - 03/23/2023 06:31 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#12 - 07/05/2023 05:27 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.ADD PASSPORT EXPIRY DATA OF COMMISSION AGENT
2.CHANGE IN DATE WHILE ADDING DATE IN THE ACCOUNTS

#13 - 07/06/2023 06:11 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#14 - 09/05/2023 04:27 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
1.CONNECT MODULE WITH PRINT

#15 - 09/30/2023 10:46 AM - Junaid M
- Assignee changed from Anand V Gopal to Vivekp V

#16 - 09/30/2023 11:03 AM - Junaid M
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#17 - 10/06/2023 05:17 PM - Seema Mathew
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from unnikannan S to Seema Mathew

ISSUE FOUNDED****
1.MISSING PRINT EXPIRY DATE
2.ERASSER NOT WORKING

#18 - 10/07/2023 11:51 AM - unnikannan S

Seema Mathew wrote in #note-17:
ISSUE FOUNDED****

1.MISSING PRINT EXPIRY DATE
2.ERASSER NOT WORKING
3.ADD HIRED CHAUFFEUR IN CONSIDER

#19 - 10/07/2023 05:25 PM - Junaid M

- Assignee changed from Vivekp V to Abhiram Venu

#20 - 10/07/2023 06:34 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#21 - 10/07/2023 06:35 PM - Vivekp V

issues fixed

1.MISSING PRINT EXPIRY DATE
2.ERASSER NOT WORKING

3.ADD HIRED CHAUFFEUR IN CONSIDER

#22 - 10/09/2023 09:32 AM - Seema Mathew
TESTING DONE

#23 - 10/10/2023 03:28 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.ERROR WHILE CLEAR DATE AND SEARCH
2.SELECTION ISSUE WHILE CHOOSING ONE ITEM FROM LIST
3.REMOVE GAP BETWEEN SEARCH BAR

#24 - 10/12/2023 04:09 PM - Abhiram Venu
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#25 - 10/12/2023 04:13 PM - Abhiram Venu
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#26 - 10/13/2023 02:44 PM - Abhiram Venu
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Search Bar gap fixed.

Clear Date Error Fixed.
Selection form list issue fixed.
Ready for testing.

#27 - 11/11/2023 04:36 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
1.CHANGE COLOUR OF (NO DATA) FOUND MESSAGE RED TO GREEN

#28 - 11/21/2023 09:53 AM - Junaid M

- Assignee changed from Abhiram Venu to Shahil Haris

#29 - 11/22/2023 11:59 AM - Shahil Haris
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#30 - 11/23/2023 11:41 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOW NO DATA FOUND MESSAGE AS GREEN AND ERROR MESSAGE AS RED

#31 - 11/29/2023 10:48 AM - Shahil Haris
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#32 - 11/29/2023 04:11 PM - unnikannan S
TESTING DONE

#33 - 12/13/2023 12:21 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOW DATA AS ON THE SELECTED DATE ALSO IF ADDED ANY

#34 - 12/13/2023 03:54 PM - Anil KV
- Assignee changed from Shahil Haris to Sibin Babu

#35 - 12/14/2023 04:23 PM - Sibin Babu
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#36 - 12/14/2023 04:29 PM - unnikannan S
TESTING DONE

#37 - 01/31/2024 12:47 PM - Junaid M

- Assignee changed from Sibin Babu to Baseem Shan

#38 - 10/03/2024 04:31 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#39 - 10/07/2024 10:16 AM - Junaid M
Changes

1. Remove "Supplier" item from Consider multiselectbox
Files

SQL-PASSPORT-EXPIRY.sql 3.35 KB 02/17/2023 Junaid M
